SpringBoardParserInternal::HeaderFooter Struct Reference

Internal: the Header/Footer of a SpringBoardParser. More...

## Public Member Functions
| HeaderFooter ()
| constructor

## Public Attributes
int | m_position
| the header/footer position 1: TC, TR, TL, BC, BR, BL, FacingT, FacingB
int | m_type
| the numbering type: 0: numeric, 1/2: small/big roman, 3/4: small/big alpha, 5-7: full minu,MAJU,Title, 8: none
int | m_pageNumber
| the first page numbering
MWAWFont | m_font
| the font
MWAWEntry | m_zones [2]
| the prefix/postfix zones string

## Detailed Description

Internal: the Header/Footer of a SpringBoardParser.

## Constructor & Destructor Documentation

## ◆ HeaderFooter()

SpringBoardParserInternal::HeaderFooter::HeaderFooter | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_font

MWAWFont SpringBoardParserInternal::HeaderFooter::m_font

the font

Referenced by HeaderFooter(), and SpringBoardParser::parsePageNumbering().

## ◆ m_pageNumber

int SpringBoardParserInternal::HeaderFooter::m_pageNumber

the first page numbering

Referenced by HeaderFooter(), and SpringBoardParser::parsePageNumbering().

## ◆ m_position

int SpringBoardParserInternal::HeaderFooter::m_position

the header/footer position 1: TC, TR, TL, BC, BR, BL, FacingT, FacingB

Referenced by HeaderFooter(), and SpringBoardParser::parsePageNumbering().

## ◆ m_type

int SpringBoardParserInternal::HeaderFooter::m_type

the numbering type: 0: numeric, 1/2: small/big roman, 3/4: small/big alpha, 5-7: full minu,MAJU,Title, 8: none

Referenced by HeaderFooter(), and SpringBoardParser::parsePageNumbering().

## ◆ m_zones

MWAWEntry SpringBoardParserInternal::HeaderFooter::m_zones[2]

the prefix/postfix zones string

Referenced by SpringBoardParser::parsePageNumbering().

The documentation for this struct was generated from the following file:

- SpringBoardParser.cxx